Summary:	X based image viewer for darned near all images
Name:		xv
Version:	3.10a
Release:	1
Copyright:	Shareware
Group:		Graphics
Source0:	ftp://ftp.cis.upenn.edu/pub/xv/%{name}-%{version}.tar.gz
Source1:	ftp://swrinde.nde.swri.edu/pub/png/applications/%{name}-%{version}-png-1.2d.tar.gz
Source2:	%{name}man310a-html.tar.gz
Source3:	%{name}.desktop
Patch0: 	xv-3.10a-linux.patch
Patch1: 	xv-3.10a-FLmask.v2.1.patch
Patch2: 	xv-3.10a.JPEG-patch
Patch3: 	xv-3.10a-glibc.patch
Patch4:		%name.diff
URL:		http://www.trilon.com/xv/xv.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr
%define		_mandir		%{_prefix}/man

%description
This is the famous 'xv' by John Bradley. It is shareware, but we ship
it with the permission of the authors. It is a graphics viewer for
many file types, including gif, jpg, tiff, xwd, etc. It also has
manipulation features such as cropping, expanding, etc. Patched to
include flmask, a popular feature in Japan.

%prep
%setup -q
tar zxf %{SOURCE1}
tar zxf %{SOURCE2}
patch -p1 --quiet < xvpng.diff
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0

%build
make CCOPTS="$RPM_OPT_FLAGS -DTOO_FAR=32767 -O -L/usr/X11R6/lib -D_BSD_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1}
 
%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

cp -r xvman310a manual
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/usr/man
/usr/share
